<!--
    2) Demande générale
-->

<div id="detail-demande">
    <h2 class="m-4">
        <b>Demande initiale</b>
        {% if demande.etat == "cree" and user.id == demande.created_by.id or perms.CoronApp.can_edit and demande.etat != "cloture" and demande.etat != "termine" and demande.etat != "archive" %}
            <a href="{% url 'demande-edit' pk=demande.pk %}" class="btn btn-primary">Editer</a>
        {% endif %}
    </h2>

    <!-- Généralités sur la demande -->
    <div class="row">
        <div class="col"><strong>Date et horaire :</strong> {{ demande.date_debut }} - {{ demande.date_fin }}
        </div>
        <div class="col"><strong>Lieu de déroulement : </strong>{{ demande.lieu_deroulement }}</div>
    </div>
    <div class="row">
        <div class="col"><strong>Responsable mission :</strong> {{ demande.responsable }}</div>
        <div class="col"><strong>Téléphone :</strong> {{ demande.responsable.tel }}</div>
    </div>

    <div class="row">
        <div class="col"><strong>Type de mission :</strong> {{ demande.get_type_display }}
        </div>
    </div>

    <!-- Spécificités de la demande -->
    {% include 'demande/detail/detail-demande-spe.html' %}

    <hr>


    <!-- Effectifs -->
    <h4 class="text-center m-4">Effectifs demandés</h4>

    <div class="row">
        <div class="col col-4"><strong>Nombre de bénévoles :</strong> {{ demande.nb_benevoles }}</div>
        <div class="col col"><strong>Horaires de présence :</strong> {{ demande.date_presence_debut }}
            - {{ demande.date_presence_fin }}</div>
    </div>

    <div class="row">
        <div class="col col-4"><strong>Lieu de rendez-vous :</strong> {{ demande.lieu_rdv }}</div>
        <div class="col col"><strong>Qualifications spécifiques :</strong>
            <span style="white-space: pre-wrap;">{% firstof demande.qualifications "Non indiqué" %}</span>
        </div>

    </div>


    <!-- Subsistances -->
    <h4 class="text-center m-4">Subsistances</h4>

    <div class="row">
        <div class="col"><strong>Nombre de repas nécessaires :</strong> {{ demande.nb_repas }}</div>
        <div class="col"><strong>Lieu de la prise de
            repas :</strong> {% firstof demande.lieu_repas "Non indiqué" %} </div>
    </div>

    <div class="row">
        <div class="col"><strong>Commentaires, régimes particuliers :</strong> {{ demande.commentaires_repas }}
        </div>
    </div>


    <!-- Véhicules -->
    <h4 class="text-center m-4">Véhicules</h4>

    <div class="row">
        <div class="col"><strong>Nombre de bénévoles à transporter :</strong> {{ demande.nb_transport }} </div>
    </div>

    <div class="row">
        <div class="col"><strong>Nombre de LOG :</strong> {{ demande.nb_log }} </div>
        <div class="col"><strong>Nombre de VL :</strong> {{ demande.nb_vl }} </div>
        <div class="col"><strong>Nombre de VPSP :</strong> {{ demande.nb_vpsp }} </div>
    </div>
    <div class="row">
        <div class="col"><strong>Demandes spécifiques :</strong> <p style="white-space: pre-wrap;">{{ demande.commentaire_transport }}</p></div>
    </div>


    <!-- Logistique -->
    <h4 class="text-center m-4">Logistique</h4>

    <div class="row">
        <div class="col"><strong>Nature du chargement :</strong> {{ demande.nature_chargement }} </div>
        <div class="col"><strong>Chargement
            alimentaire :</strong> {{ demande.est_alimentaire|yesno:"Oui,Non,Non précisé" }} </div>
        <div class="col"><strong>Frais :</strong> {{ demande.est_frais|yesno:"Oui,Non,Non précisé" }} </div>
    </div>

    <div class="row">
        <div class="col"><strong>Moyens engagés :</strong> <p style="white-space: pre-wrap;">{{ demande.moyens_engages }}</p></div>
    </div>


    <!-- Misc -->
    <h4 class="text-center m-4">Infos complémentaires</h4>

    <div class="row">
        <div class="col"><strong>Contact sur place :</strong> {{ demande.contact_in_situ }} </div>
        <div class="col"><strong>Téléphone :</strong> {{ demande.tel_in_situ }} </div>
    </div>

    <h4 class="text-center m-4">Description détaillée</h4>

    <div class="col border" style="white-space: pre-wrap">{{ demande.description_detaillee }}</div>

    <br>
    <div id="success" class="alert alert-success alert-dismissible" style="display: none;"></div>
    <div id="error" class="alert alert-danger alert-dismissible" style="display: none;"></div>


    <!-- Boutons de validation -->
    {% if  demande.etat == 'cree' and perms.CoronApp.can_validate %}
        <div class="row" id="validation">
            <script>
                function validate() {
                    $.ajax({
                        url: "{% url 'validate' demande.id %}",
                        success: function (res) {
                            window.location = "";
                        },
                        error: function (res) {
                            console.log(res);
                            $("#error").html("<strong>Erreur: </strong> " + res.responseJSON.error);
                            $("#error").show();
                        }
                    });
                }

                function refuse() {
                    $.ajax({
                        url: "{% url 'refuse' demande.id %}",
                        success: function (res) {
                            window.location = "";
                        },
                        error: function (res) {
                            console.log(res);
                            $("#error").html("<strong>Erreur: </strong> " + res.responseJSON.error);
                            $("#error").show();
                        }
                    });
                }

            </script>
            <button type="button" class="btn btn-danger col m-2" onclick="refuse()">Refuser demande</button>
            <button type="button" class="btn btn-success col m-2" onclick="validate()">Valider demande</button>
        </div>
    {% endif %}
</div>
